//*PMRawBegin
global_settings {max_trace_level 5}
//*PMRawEnd

camera {
   perspective
   location <4.84559, 20.3017, 8.39587>
   sky <0, 1, 0>
   direction <0, 0, 2>
   right <1.3333, 0, 0>
   up <0, 1, 0>
   look_at <0, 0, 0>
}

light_source {
   <-140, 200, 300>, rgb <1.5, 1.5, 1.425>
   media_interaction off
   media_attenuation off
}

light_source {
   <140, 200, -300>, rgb <0.72, 0.72, 0.8>
   shadowless
   media_interaction off
   media_attenuation off
}

plane {
   <0, 1, 0>, 0
   
   pigment {
      color rgb <0.211765, 0.686275, 0.427451>
   }
   scale 1
   rotate <0, 0, 0>
   translate <0, 0, 0>
}

#declare cuivre = texture {
   pigment {
      color rgb <0.65, 0.35, 0.15>
   }
   
   finish {
      ambient rgbft <0.15, 0.15, 0.15, 0.15, 0.15>
      diffuse 0.6
      brilliance 5
      metallic 1
      specular 0.8
      roughness 0.01
      reflection rgbft <0.65, 0.65, 0.65, 0.65, 0.65>
   }
}

#declare verre = texture {
   pigment {
      color rgbf <0.9, 0.9, 0.9, 0.85>
   }
   
   finish {
      ambient rgbft <0.1, 0.1, 0.1, 0.1, 0.1>
      diffuse 0.1
      specular 1
      roughness 0.001
      reflection rgbft <0.25, 0.25, 0.25, 0.25, 0.25>
   }
}

#declare metal_nord = texture {
   pigment {
      color rgb <0.968627, 0.384314, 0.223529>
   }
   
   finish {
      ambient rgbft <0.35, 0.35, 0.35, 0.35, 0.35>
      diffuse 0.3
      brilliance 2
      metallic 1
      specular 0.8
      roughness 0.05
      reflection rgbft <0.1, 0.1, 0.1, 0.1, 0.1>
   }
}

#declare metal_sud = texture {
   pigment {
      color rgb <0.776471, 0.776471, 0.756863>
   }
   
   finish {
      ambient rgbft <0.35, 0.35, 0.35, 0.35, 0.35>
      diffuse 0.3
      brilliance 2
      metallic 1
      specular 0.8
      roughness 0.05
      reflection rgbft <0.1, 0.1, 0.1, 0.1, 0.1>
   }
}

#declare boussole = union {
   union {
      //*PMName boitier
      
      difference {
         cylinder {
            <0, 2, 0>, <0, 0, 0>, 4
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         cylinder {
            <0, 2.2, 0>, <0, 0.4, 0>, 3.8
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
      }
      
      torus {
         4, 0.2
         scale 1
         rotate <0, 0, 0>
         translate y*2
      }
      
      texture {
         cuivre
      }
   }
   
   union {
      //*PMName anneau
      
      torus {
         1.5, 0.1
         scale 1
         rotate x*(-73.1)
         translate <0, 1.80454, 0.48542>
      }
      
      difference {
         //*PMName porte_anneau
         
         union {
            cylinder {
               <0, 0.8, 0>, <0, 0, 0>, 0.5
               scale 1
               rotate <0, 0, 0>
               translate <0, 0, 0>
            }
            
            cone {
               <0, 1, 0>, 0,
               <0, 0.8, 0>, 0.5
               scale 1
               rotate <0, 0, 0>
               translate <0, 0, 0>
            }
         }
         
         cylinder {
            <0.6, 0.4, 0>, <-0.6, 0.4, 0>, 0.2
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
      }
      
      texture {
         cuivre
      }
      rotate x*90
      translate <0, 1, 4>
   }
   
   cylinder {
      //*PMName rose des vents
      <0, 0.5, 0>, <0, 0.2, 0>, 3.9
      
      texture {
         pigment {
            image_map {
               png
               "boussole.png"
               map_type 0
            }
            scale 8
            rotate x*90
            translate <4, 0, 4>
         }
      }
      scale 1
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   cylinder {
      //*PMName axe
      <0, 1.6, 0>, <0, 0.2, 0>, 0.3
      
      texture {
         cuivre
      }
      scale 1
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   intersection {
      //*PMName verre
      
      cylinder {
         <0, 3, 0>, <0, 1.6, 0>, 3.8
         scale 1
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      difference {
         sphere {
            <0, 0, 0>, 1
            scale <6, 0.5, 6>
            rotate <0, 0, 0>
            translate y*2
         }
         
         sphere {
            <0, 0, 0>, 1
            scale <5.95, 0.45, 5.95>
            rotate <0, 0, 0>
            translate y*2
         }
      }
      
      texture {
         verre
      }
   }
   
   union {
      //*PMName aiguille
      
      intersection {
         //*PMName nord
         
         box {
            <-0.5, -0.5, -0.5>, <0.5, 0.5, 0.5>
            rotate y*45
            scale <1, 0.2, 3.5>
            translate y*1.3
         }
         
         box {
            <-0.5, -0.5, 0>, <0.5, 0.5, 0.5>
            scale <2, 0.5, 6>
            rotate <0, 0, 0>
            translate y*1.3
         }
         
         texture {
            metal_nord
         }
      }
      
      intersection {
         //*PMName sud
         
         box {
            <-0.5, -0.5, -0.5>, <0.5, 0.5, 0.5>
            rotate y*45
            scale <1, 0.2, 3.5>
            translate y*1.3
         }
         
         box {
            <-0.5, -0.5, 0>, <0.5, 0.5, 0.5>
            scale <2, 0.5, 6>
            rotate <0, 0, 0>
            translate y*1.3
         }
         
         texture {
            metal_sud
         }
         rotate y*180
      }
      rotate y*160
   }
}

object {
   //*PMName boussole
   boussole
   scale 1
   rotate <0, 0, 0>
   translate <0, 0, 0>
}